List Conversation Trackers
Retrieves all conversation trackers for a specific platform or across all platforms.
Endpoint
GET /api/conversation-trackers/{platform}
Path Parameters
| Parameter | Type | Description |
|---|---|---|
| platform | string | The platform to list trackers for (reddit, hn). Use all to list trackers across all platforms. |
Response
Returns a JSON object that contains an array of JSON objects for each platform.
Example Request
curl -X GET "https://api.kwatch.io/api/conversation-trackers/all" \
-H "Authorization: Bearer your-api-key-here"
Example Response
{
"reddit": [
{
"id": 1,
"enabled": true,
"created_at": "2026-02-23T12:13:28.081057+01:00",
"updated_at": "2026-02-23T12:13:28.081057+01:00",
"url": "https://www.reddit.com/r/technology/comments/abc123/some_post/comment/xyz789/",
"api_webhook_url": "https://example.com/webhook",
"slack_webhook_url": "https://hooks.slack.com/..."
}
],
"hn": null
}